SWAPON(8)

NAME
swapon, swapoff - enable/disable devices and files for paging and swapping

SYNOPSIS
Get info:
swapon -s [-h] [-V]

Enable/disable:
swapon [-f] [-p priority] [-v] specialfile...
swapoff [-v] specialfile...

Enable/disable all:
swapon -a [-e] [-f] [-v]
swapoff -a [-v]

DESCRIPTION
swapon is used to specify devices on which paging and swapping are to take place.

The device or file used is given by the specialfile parameter. It may be of the form -L label or -U uuid to indicate a device by label or uuid.

Calls to swapon normally occur in the system boot scripts making all swap devices available, so that the paging and swapping activity is interleaved across several devices and files.

swapoff disables swapping on the specified devices and files. When the -a flag is given, swapping is disabled on all known swap devices and files (as found in /proc/swaps or /etc/fstab).

-a, --all
    All devices marked as ``swap'' in /etc/fstab are made available, except for those with the ``noauto'' option. Devices that are already being used as swap are silently skipped.

-e, --ifexists
    Silently skip devices that do not exist.

-f, --fixpgsz
    Reinitialize (exec /sbin/mkswap) the swap space if its page size does not match that of the the current running kernel. mkswap(2) initializes the whole device and does not check for bad blocks.

-h, --help
    Provide help.

-L label
    Use the partition that has the specified label. (For this, access to /proc/partitions is needed.)

-p, --priority priority
    Specify the priority of the swap device. priority is a value between 0 and 32767. Higher numbers indicate higher priority. See swapon(2) for a full description of swap priorities. Add pri=value to the option field of /etc/fstab for use with swapon -a.

-s, --summary
    Display swap usage summary by device. Equivalent to "cat /proc/swaps". Not available before Linux 2.1.25.

-U uuid
    Use the partition that has the specified uuid.

-v, --verbose
    Be verbose.

-V, --version
    Display version.

NOTES
You should not use swapon on a file with holes. Swap over NFS may not work.

swapon automatically detects and rewrites swap space signature with old software suspend data (e.g S1SUSPEND, S2SUSPEND, ...). The problem is that if we don't do it, then we get data corruption the next time an attempt at unsuspending is made.

SEE ALSO
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

FILES
/dev/sd?? standard paging devices
/etc/fstab ascii filesystem description table

HISTORY
The swapon command appeared in 4.0BSD.

AVAILABILITY
The swapon command is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.